package Derytas;

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// Clase: clsEntRel                                                           //
// Mtodos: - clsEntRel: Constructor de la clase                              //
// Descripcin: Clase para contener una entidad participante en una relacin  //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////
public class clsEntRel {

   String sNombre; // Nombre de la entidad
   String sMin; // Cardinalida mnima de la entidad
   String sMax; // Cardinalidad mxima de la entidad

   /////////////////////////////////////////////////////////////////////////////
   //                                                                         //
   // Procedimiento: clsEntRel                                                //
   // Parmetros: - psEntidad (String): Nombre de la entidad                  //
   //             - psMin (String): Cardinalidad mnima de la entidad         //
   //             - psMax (String): Cardinalidad maxima de la entidad         //
   // Descripcin: Constructor de la clase                                    //
   //                                                                         //
   /////////////////////////////////////////////////////////////////////////////
   public clsEntRel(String psEntidad, String psMin, String psMax) {
      sNombre = psEntidad; // Obtener el nombre de la entidad
      sMin = psMin; // Obtener la cardinalidad mnima de la entidad
      sMax = psMax; // Obtener la cardinalidad mxima de la entidad
   } // Procedimiento: clsEntRel
} // Clase: clsEntRel
