package Derytas;

import java.awt.*;

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// Clase: clsConstantes                                                       //
// Mtodos: No                                                                //
// Descripcin: Clase con las constantes de la aplicacin                     //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////
public class clsConstantes {
   // Constantes para el color
   final static Color COLOR_FONDO_APPLET = Color.WHITE; // Color del fondo del Applet
   final static Color COLOR_ELEMENTO = Color.BLUE; // Color para pintar los elementos

   // Constantes para los cdigos de los elementos
   final static int nENTIDAD = 1;
   final static int nRELACION = 2;
   final static int nENTIDAD_DEBIL = 3;
   final static int nRELACION_IDENTIFICATIVA = 4;
   final static int nATRIBUTO_SIMPLE = 5;
   final static int nATRIBUTO_MULTIVALUADO = 6;
   final static int nATRIBUTO_LLAVE = 7;
   final static int nATRIBUTO_LLAVE_PARCIAL = 8;
   final static int nATRIBUTO_DERIVADO = 9;
   final static int nESPECIALIZACION_DISJUNTA_TOTAL = 10;
   final static int nESPECIALIZACION_DISJUNTA_PARCIAL = 11;
   final static int nESPECIALIZACION_SOLAPADA_TOTAL = 12;
   final static int nESPECIALIZACION_SOLAPADA_PARCIAL = 13;
   final static int nTIPO_UNION_TOTAL = 14;
   final static int nTIPO_UNION_PARCIAL = 15;
   final static int nTIPO_INTERSECCION_TOTAL = 16;
   final static int nTIPO_INTERSECCION_PARCIAL = 17;

   // Constantes para los nombre de los elementos
   final static String sENTIDAD = "Entidad";
   final static String sRELACION = "Relacin";
   final static String sENTIDAD_DEBIL = "Entidad Dbil";
   final static String sRELACION_IDENTIFICATIVA = "Relacin Identificativa";
   final static String sATRIBUTO_SIMPLE = "Atributo Simple";
   final static String sATRIBUTO_MULTIVALUADO = "Atributo Multivaluado";
   final static String sATRIBUTO_LLAVE = "Atributo Llave";
   final static String sATRIBUTO_LLAVE_PARCIAL = "Atributo Llave Parcial";
   final static String sATRIBUTO_DERIVADO = "Atributo Derivado";
   final static String sESPECIALIZACION_DISJUNTA_TOTAL =
      "Especializacin Disjunta Total";
   final static String sESPECIALIZACION_DISJUNTA_PARCIAL =
      "Especializacin Disjunta Parcial";
   final static String sESPECIALIZACION_SOLAPADA_TOTAL =
      "Especializacin Solapada Total";
   final static String sESPECIALIZACION_SOLAPADA_PARCIAL =
      "Especializacin Solapada Parcial";
   final static String sTIPO_UNION_TOTAL = "Total";
   final static String sTIPO_UNION_PARCIAL = "Parcial";
   final static String sTIPO_INTERSECCION_TOTAL = "Total";
   final static String sTIPO_INTERSECCION_PARCIAL = "Parcial";

   // Constantes para los tamaos de los componentes
   final static int nALTO_COM = 21;
   final static int nALTO_BUTTON = 25;
   final static int nALTO_LIST = 108;
   final static int nANCHO_LABEL = 230;
   final static int nANCHO_LABEL_MENSAJE = 400;
   final static int nANCHO_CHECKBOX = 230;
   final static int nANCHO_TEXTFIELD = 230;
   final static int nANCHO_CHOICE = 320;
   final static int nANCHO_BUTTON = 80;
   final static int nANCHO_BUTTON_LIST = 113;
   final static int nANCHO_BUTTON_CREAR = 145;
   final static int nANCHO_LIST = 230;

   // Constantes para el tamao de los elementos
   final static int nANCHO_ENTIDAD = 120;
   final static int nANCHO_ATRIBUTO = 20;
   final static int nANCHO_RELACION = 170;
   final static int nANCHO_ESPGEN_UNCAT = 26;
   final static int nALTO_ENTIDAD = 40;
   final static int nALTO_ATRIBUTO = 20;
   final static int nALTO_LINEA_ATRIBUTO = 25;
   final static int nALTO_RELACION = 60;
   final static int nALTO_ESPGEN_UNCAT = 26;

   // Constantes para la separacin entre componentes
   final static int nSEP_COM = 5;
   final static int nSEP_VHOR = 2 * nSEP_COM;
   final static int nSEP_VVER = 7 * nSEP_COM;

   // Constantes para los MenuItems
   final static String sMENUITEM_MODIFICAR = "Modificar Elemento";
   final static String sMENUITEM_ELIMINAR = "Eliminar Elemento";
   final static String sMENUITEM_ELIMINAR_SUBCLASE = "Eliminar como Subclase";
   final static int nMENUITEM_MODIFICAR = 0;
   final static int nMENUITEM_ELIMINAR = 1;
   final static int nMENUITEM_ELIMINAR_SUBCLASE = 2;

   // Constantes para los dominios
   final static String sDOMINIO_CHAR = "CHAR";
   final static String sDOMINIO_VARCHAR2 = "VARCHAR2";
   final static String sDOMINIO_NCHAR = "NCHAR";
   final static String sDOMINIO_NVARCHAR2 = "NVARCHAR2";
   final static String sDOMINIO_NUMBER = "NUMBER";
   final static String sDOMINIO_LONG = "LONG";
   final static String sDOMINIO_LONG_RAW = "LONG RAW";
   final static String sDOMINIO_RAW = "RAW";
   final static String sDOMINIO_DATE = "DATE";
   final static String sDOMINIO_BLOB = "BLOB";
   final static String sDOMINIO_CLOB = "CLOB";
   final static String sDOMINIO_NCLOB = "NCLOB";
   final static String sDOMINIO_BFILE = "BFILE";
   final static String sDOMINIO_ROWID = "ROWID";
   final static String sDOMINIO_UROWID = "UROWID";

   // Constantes para crear las tablas
   final static String sCREATE_TABLE =
      "%ComentScriptCREATE TABLE %NombreTabla\n(%Atributos%Unique%PrimaryKey\n);%ComentDic\n\n";
   final static String sCREATE_TABLE_MULTIVALUADO = "CREATE TABLE %AtributoMultivaluado_%TablaMultivaluado\n(%Atributos%PrimaryKey\n);\n\n";
   final static String sATRIBUTO =
      "\n   %NombreAtributo %Dominio%Propiedades,%ComentScript%Atributos";
   final static String sULTIMO_ATRIBUTO =
      "\n   %NombreAtributo %Dominio%Propiedades%ComentScript%Atributos";
   final static String sATRIBUTO_EXTERNO =
      "\n   %NombreAtributo_%TablaReferencia %Dominio,%Atributos";
   final static String sATRIBUTO_EXTERNO_FICTICIO =
      "\n   %NombreAtributo_%TablaReferencia VARCHAR2(15),%Atributos";
   final static String sATRIBUTO_EXTERNO_PROPIETARIA_DEBIL =
      "\n   %NombreAtributo_%TablaReferencia_%TablaPropietaria %Dominio,%Atributos";
   final static String sATRIBUTO_RELACION =
      "\n   %NombreAtributo_%Relacion %Dominio%Propiedades,%Atributos";
   final static String sATRIBUTO_ESPECIALIZACION_C =
      "\n   %AtributoEsp VARCHAR2(15)";
   final static String sATRIBUTO_FICTICIO =
      "\n   %AtributoFic VARCHAR2(15),%Atributos";
   final static String sATRIBUTO_PERTENECE_ESPECIALIZACION_D =
      "\n   %NombreTabla CHAR CONSTRAINT Pertenece_a_%NombreTabla CHECK (%NombreTabla IN ('N','S')),%Atributos";
   final static String sDEFAULT = " DEFAULT ";
   final static String sCONSTRAINT_PRIMARY_KEY =
      ",\n   CONSTRAINT P_%NombreTabla " +
      "PRIMARY KEY (%ClavePrimaria)";
   final static String sCONSTRAINT_PRIMARY_KEY_COMENTARIOS =
      "\n   CONSTRAINT P_%NombreTabla " +
      "PRIMARY KEY (%ClavePrimaria)";
   final static String sCONSTRAINT_NOT_NULL =
      " CONSTRAINT N_%NombreTabla_%NombreAtributo NOT NULL";
   final static String sCONSTRAINT_NOT_NULL_NOMBRE =
      " CONSTRAINT %NombreRestriccion NOT NULL";
   final static String sCONSTRAINT_UNIQUE =
      " CONSTRAINT U_%NombreTabla_%NombreAtributo UNIQUE";
   final static String sCONSTRAINT_UNIQUE_MULTIPLE =
      ",\n   CONSTRAINT U_%NombreTabla_%NombreRestriccion " +
      "UNIQUE (%AtributoUnico)%Unique";
   final static String sCONSTRAINT_UNIQUE_MULTIPLE_COMENTARIOS =
      "\n   CONSTRAINT U_%NombreTabla_%NombreRestriccion " +
      "UNIQUE (%AtributoUnico)%Unique";
   final static String sCONSTRAINT_CHECK =
      " CONSTRAINT C_%NombreTabla_%NombreAtributo CHECK ";
   final static String sCONSTRAINT_CHECK_NOMBRE =
      " CONSTRAINT %NombreRestriccion CHECK ";
   final static String sCONSTRAINT_NOT_NULL_RELACION = "\n   CONSTRAINT %NombreTabla_NOT_NULL_%NombreAtributo_%Relacion %NombreAtributo_%Relacion NOT NULL,%ForeignKey";
   final static String sCONSTRAINT_UNIQUE_RELACION = "\n   CONSTRAINT %NombreTabla_UNIQUE_%NombreAtributo_%Relacion %NombreAtributo_%Relacion UNIQUE,%ForeignKey";
   final static String sCONSTRAINT_CHECK_RELACION = "\n   CONSTRAINT %NombreTabla_CHECK_%NombreAtributo_%Relacion %NombreAtributo_%Relacion CHECK %RestriccionCheck,%ForeignKey";
   final static String sCLAVE_PRIMARIA = "%NombreAtributo,%ClavePrimaria";
   final static String sATRIBUTO_UNICO = "%NombreAtributo,%AtributoUnico";
   final static String sCLAVE_PRIMARIA_FIC = "%AtributoFic,%ClavePrimaria";
   final static String sCLAVE_PRIMARIA_EXTERNA =
      "%NombreAtributo_%TablaReferencia,%ClavePrimaria";
   final static String sCLAVE_PRIMARIA_EXTERNA_PROPIETARIA_DEBIL =
      "%NombreAtributo_%TablaReferencia_%TablaPropietaria,%ClavePrimaria";
   final static String sCLAVE_EXTERNA =
      "%NombreAtributo_%TablaReferencia,%ClaveExterna";
   final static String sCLAVE_EXTERNA_PROPIETARIA_DEBIL =
      "%NombreAtributo_%TablaReferencia_%TablaPropietaria,%ClaveExterna";
   final static String sCLAVE_REFERENCIA = "%NombreAtributo,%ClaveReferencia";
   final static String sCLAVE_REFERENCIA_PROPIETARIA_DEBIL = "%NombreAtributo_%TablaPropietaria,%ClaveReferencia";
   final static String sCONSTRAINT_FOREIGN_KEY = "ALTER TABLE %NombreTabla\n" +
      "ADD CONSTRAINT F_%NombreTabla_%TablaReferencia " +
      "FOREIGN KEY (%ClaveExterna) " +
      "REFERENCES %TablaReferencia (%ClaveReferencia);\n\n";
   final static String sCONSTRAINT_FOREIGN_KEY_C_D =
      "ALTER TABLE %NombreSuperclase\n" +
      "ADD CONSTRAINT F_%NombreSuperclase_%TablaReferencia " +
      "FOREIGN KEY (%ClaveExterna) " +
      "REFERENCES %TablaReferencia (%ClaveReferencia);\n\n";
   final static String sCONSTRAINT_PRIMARY_KEY_MULT =
      ",\n   CONSTRAINT P_%AtributoMultivaluado_%TablaReferencia " +
      "PRIMARY KEY (%ClavePrimaria)";
   final static String sCONSTRAINT_NOT_NULL_MULT =
      " CONSTRAINT N_%AtributoMultivaluado_%TablaReferencia_%NombreAtributo NOT NULL";
   final static String sCONSTRAINT_UNIQUE_MULT =
      " CONSTRAINT U_%AtributoMultivaluado_%TablaReferencia_%NombreAtributo UNIQUE";
   final static String sCONSTRAINT_CHECK_MULT =
      " CONSTRAINT C_%AtributoMultivaluado_%TablaReferencia_%NombreAtributo CHECK ";
   final static String sCONSTRAINT_FOREIGN_KEY_MULT =
      "ALTER TABLE %AtributoMultivaluado_%TablaReferencia\n" +
      "ADD CONSTRAINT F_%NombreTabla_%TablaReferencia " +
      "FOREIGN KEY (%ClaveExterna) " +
      "REFERENCES %TablaReferencia (%ClaveReferencia);\n\n";

   // Constantes para valores lgicos
   final static String sSI = "S";
   final static String sNO = "N";

   // Constantes para el modo de visualizacin de los atributos
   final static int nTODOS = 0;
   final static int nINMEDIATOS = 1;
   final static int nNINGUNO = 2;
   final static String sTODOS = "Todos";
   final static String sINMEDIATOS = "Inmediatos";
   final static String sNINGUNO = "Ninguno";

   // Constantes para saber si una Entidad es Subclase, Superclase o ninguna de ellas
   final static int nES_SUBCLASE = 0;
   final static int nES_SUPERCLASE = 1;
   final static int nNO_SUB_O_SUP = 2;

   // Constante para el mximo para los nombre
   final static int nMAX_NOMBRE = 15;

   // Constantes para la generalizacin de Especializaciones
   final static int nOPCION_A = 0;
   final static int nOPCION_B = 1;
   final static int nOPCION_C = 2;
   final static int nOPCION_D = 3;
   final static String sOPCION_A = "Opcin A";
   final static String sOPCION_B = "Opcin B";
   final static String sOPCION_C = "Opcin C";
   final static String sOPCION_D = "Opcin D";

   // Constante para indicar que no hay atributo para Especializacin
   final static String sNO_ATRIBUTO_ESPECIALIZACION = "@#$";

   // Constantes para el tipo de Subclase
   final static int nNO_SUBCLASE = 0;
   final static int nSUBCLASE = 1;
   final static int nSUBCLASE_ESPECIALIZACION = 2;
   final static int nSUBCLASE_TIPO_UNION = 3;
   static int nSUBCLASE_TIPO_INTERSECCION = 4;

   // Constante para el retorno de carro
   final static char cRETORNO_CARRO = 10;
   // Constante para sustituir los espacios en las observaciones
   final static String sRELLENO_ESPACIOS = "@#";

   // Constantes para los comentarios
   final static String sCOMENTARIO_COLUMNA =
      "\nCOMMENT ON COLUMN %NombreTabla.%NombreAtributo IS ' %Comentario ';%ComentDic";
   final static String sCOMENTARIO_TABLA =
      "\nCOMMENT ON TABLE %NombreTabla IS ' %Comentario ';%ComentDic";

   // Constantes para pintar los atributos a la izquierda o a la derecha
   final static String sATRIBUTO_IZQUIERDA = "A la Izquierda";
   final static String sATRIBUTO_DERECHA = "A la Derecha";

   // Constantes para el modo de acceso a las ventanas
   final static int nMODO_ALTA = 0;
   final static int nMODO_MODIFICAR = 1;

   // Constantes para el texto de los mensajes de error
   final static String sERROR_ELEMENTO_YA_EXISTE = "El elemento '%Param' ya existe";
   final static String sERROR_CAMPO_VACIO = "'%Param' no puede ser vaca";
   final static String sERROR_ENTIDAD_DEBIL = "Entidad dbil '%Param' incorrecta, debe tener cardinalidad (1,1)";
   final static String sERROR_NUMERO_REQUERIDO = "Debe introducir un valor numrico para '%Param'";
   final static String sERROR_ESCALA_LONGITUD = "Debe introducir un valor numrico para 'Longitud' si indica 'Escala'";
   final static String sERROR_VALOR_DEFAULT = "Debe introducir el valor por defecto";
   final static String sERROR_CONDICION_CHECK = "Debe introducir la condicin de la restriccin CHECK";
   final static String sERROR_LLAVE_PARCIAL = "Slo las entidades dbiles pueden tener llave parcial";
   final static String sERROR_LLAVE_PRIMARIA = "Slo las entidades no dbiles pueden tener llaves primarias";
   final static String sERROR_LLAVE_COMPUESTA = "Las llaves slo pueden estar compuestas por atributos simples";
   final static String sERROR_LLAVES_TIPO_INTER = "Las superclases del tipo interseccin deben tener la misma llave";
   final static String sERROR_FICHERO_INCORRECTO = "El fichero con el esquema est daado o tiene formato incorrecto";
   final static String sERROR_RECARGAR_DERYTAS = "Debe volver a cargar Derytas";
   final static String sERROR_ELIMINAR_LLAVE_SUPERCLASE = "No se puede eliminar la nica llave de una superclase";
   final static String sERROR_SUBCLASE_CON_LLAVE = "Las subclases no pueden tener llave";

} // Clase: clsConstantes